import React, { useState, useEffect } from 'react'
import './css/mystyle.scss'
import './js/jquery-3.2.1.slim.min.js'
import slider from '../../../Assets/images/slider-1252.jpg';
import menu from '../../../Assets/images/menu (1).png';
import { Helmet } from 'react-helmet';
import 'bootstrap/dist/js/bootstrap.min.js'
import logo from '../../../Assets/logo.png';
import helper from '../../../Helper/function';
import './css/style.scss'
import './css/responsive.scss'
import { NavLink } from 'react-router-dom';
import Footer from "./Footer"
export default function KalyanResults() {
    const [frontData, setFrontData] = useState([]);
    const [blogData, setBlogData] = useState([]);
    const [blog_image, setBlogImage] = useState([]);
    const getFrontData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const front_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_front_data = await fetch(process.env.APIURL + "/view-front-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: front_data
            });
            const finalFrontData = await api_front_data.json();

            const responseData = finalFrontData.resData;
            const responseKey = finalFrontData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const enc_finalFrontData = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setFrontData(JSON.parse(enc_finalFrontData))
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getFrontData();
    }, []);
    const getBlogData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const blog_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_blog_data = await fetch(process.env.APIURL + "/get-all-blogs", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: blog_data
            });
            const finalBlogData = await api_blog_data.json();
            const responseData = finalBlogData.resData;
            const responseKey = finalBlogData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const enc_finalBlogData = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setBlogData(JSON.parse(enc_finalBlogData).result)
            setBlogImage(JSON.parse(enc_finalBlogData).path)
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getBlogData();
    }, []);
    function scroll() {
        document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
    }

    const heightManage = () => {
        count += 1;
        if (count % 2 == 1) {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'block';
            document.getElementById("navbarSupportedContent").style.marginLeft = '20px';
            document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
        } else {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'none';
            document.getElementById("navbarSupportedContent").style.marginLeft = '0px';
            document.getElementById("scroll").style.backgroundColor = "none";
        }

    }
    return (
        <>
            <Helmet>
                <title>Kalyan - Kalyan Result | Tejonlinematka.Com</title>
                <meta charSet='utf-8' />
                <meta name="description" content="Play Satta Matka Kalyan and be the first to know all Kalyan results online with TEJ ONLINE MATKA. Get the most trusted results daily, join us now!" />
                <meta name="keywords" content="satka matka kalyan
                    matka satka kalyan
                    satta kalyan matka
                    satta matta kalyan
                    matka kalyan satta matka
                    kalyan matka online
                    kalyan satta result
                    satka matka kalyan result
                    satta matta matka kalyan result
                    matka satta kalyan result
                    result kalyan
                    kalyan satta results
                    kalyan fastest result
                    kalyan online matka result" />
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                <meta property='og:image' content={`${process.env.APIURL}/uploads/seo/${frontData.open_graph_image}`} />
                <meta property="og:url" content="http://142.132.229.43/" />
                <meta property="og:type" content="website" />
                <meta property="og:title" content={`${frontData.page_title}`} />
                <meta property="og:description" content={`${frontData.meta_description}`} />
                {frontData.meta_remaining}
                {frontData.open_graph}
            </Helmet>
            <div style={{ overflowY: 'scroll', overflowX: 'hidden', height: '100%' }} onScroll={scroll}>
                <header className="header-arya-sec" id="scroll" >
                    <div className="container" style={{ padding: "0px" }} >
                        <nav className="navbar navbar-expand-lg">
                            <a className="navbar-brand logo-a" href="#"><img src={logo} width='50px' alt='tej matka logo' /></a>
                            <button className="navbar-toggler navbar-toggler-152" onClick={heightManage} type="button" data-toggle="collapse"
                                data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                                aria-label="Toggle navigation">
                                <img src={menu} style={{ width: "25px" }} aria-hidden="true" />
                            </button>
                            <div className="collapse navbar-collapse" id="navbarSupportedContent">
                                <ul className="navbar-nav ml-auto">
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#home">Home </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href={`${process.env.BASEURL}blogs`}>Blogs </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#result">Results </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#about">About Us </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#chart">Time Table</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#rate">Rate Chart</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#how">How to Play</a>
                                    </li>
                                    <li class="nav-item dropdown-custom">
                                        <a href='#' className='nav-link'>Markets</a>
                                        <div class="dropdown-custom-content">
                                            <div className='d-flex flex-column'>
                                                <NavLink className="cursor-pointer p-2" to='/dp-boss-matka'>
                                                    DP Boss Matka
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/satta-king'>
                                                    Satta King
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/gali-disawar'>
                                                    Gali Disawar
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/kalyan-results'>
                                                    Kalyan Result
                                                </NavLink>
                                            </div>
                                        </div>
                                    </li>
                                    {/* <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            Markets
                                        </a>
                                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                            <a class="dropdown-item" href="#">DP Boss Matka</a>
                                            <a class="dropdown-item" href="#">Satta King</a>
                                            <a class="dropdown-item" href="#">Gali Disawar</a>
                                            <a class="dropdown-item" href="#">Kalyan Result</a>
                                        </div>
                                    </li> */}
                                </ul>
                                <div className='row'>
                                    {frontData.facebook != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-fb">
                                                <a target="_blank" rel="noreferrer" href={frontData.facebook}><FacebookIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.google_plus != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-google">
                                                <a target="_blank" rel="noreferrer" href={frontData.google_plus}><GoogleIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.twitter != "" ?

                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-twitter">
                                                <a target="_blank" rel="noreferrer" href={frontData.twitter}><TwitterIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.instagram != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-insta">
                                                <a target="_blank" rel="noreferrer" href={frontData.instagram}><InstagramIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.youtube != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-yt">
                                                <a target="_blank" rel="noreferrer" href={frontData.youtube}><SubscriptionsOutlinedIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                </div>
                            </div>
                        </nav>
                    </div>
                </header>
                <section className="slider-sec-blogs" id='sec' style={{ backgroundImage: `url(${slider}` }}>
                    <div className="container">
                        <div className="row">
                            <div className="col-lg-12 col-12 col-sm-7">
                                <div className="slider-main-hed">
                                    <h1>Play Satta Matta Kalyan the Tej way</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <section className="Jodi-Charts blogs-card-img">
                    <div className="container">
                        <h3 className="text-center">About Game</h3>
                        <hr />
                        <div className='row'>
                            {/* <div className='col-lg-4 col-12 col-sm-12'>
                        <div class="card card-blogs">
                            <img class="card-img-top" src={slider} alt="Card image cap"/>
                            <div class="card-body">
                                <h5 class="card-title">Card Title</h5>
                                <p class="card-text">some description about blogs that added from admin</p>
                                <a href="#" class="btn btn-primary view-more-blogs">View More</a>
                            </div>
                            <div>
                                <p class="by-admin-tag">By Admin</p>
                            </div>
                        </div>
                    </div> */}
                            <div class="card mb-5">
                                <div class="card-body">
                                    <p class="card-text">
                                        Do you start your days begging Lakshmi to grant you prosperity and wealth? This way of thinking may not bring you the tangible riches you ask for. That doesn’t mean you must sweat your guts out to achieve them, though. To achieve prosperity, you can play Satta Kalyan Matka with the Tej app to demonstrate your perseverance and determination to attract abundance in your life.
                                        You don’t have to go anywhere to place your first bet. If your smartphone or tablet runs on the Android OS, go to Google Play to find the Tej application. Don’t have a mobile device? No problem! You can download a desktop option or play Kalyan Matka online. Whatever makes the best version for you, your gaming experience will be electrifying without the infinitesimal odds associated with lotteries. Just wait for the game results.
                                        <h2>How to unlock your guessing abilities with Matka Satka Kalyan?</h2>
                                        Natural talent doesn’t guarantee success, but regular practice does. It’s okay to feel confused when you’re about to make your first wager. But the more you play Kalyan Matka, the faster you identify money-squeezing numbers for the upcoming game.
                                        If you don’t have a hunch on what points to add, reflect on meaningful dates like birthdays or other milestones. To get breathtaking Kalyan Satta results, play around with different strategies. You can explore charts of previous games to make some calculations based on what has happened. Or you can entrust your win to chance. If none of the options seems fine, pair them together.
                                        <h2>Satka Matka Kalyan results in the Tej app</h2>
                                        Even though choosing numbers and adding points is exciting, few things can beat the thrills you get when waiting for Matka results. They can make you put off anything you’re doing at the moment, decreasing your ability to concentrate. Fortunately, Kalyan Satta results are regularly updated in the Tej app, so it won’t take ages to find them.
                                        It’s easy to get carried away when betting on Matta. But the more you play, the more you win. If you want to stay in the loop about how much you’ve already spent and withdrawn, you should open the app and click the following sections:
                                        Wallet. If you want to place a few more bets but are not sure whether you have enough money, check out your wallet to decide on further actions.
                                        Bid History. Here you can see the whole picture of your expenses as it keeps the information about all your transactions. Need to track how much you spent in the last month? Use a filter to specify the required period.
                                        Win History. If you start losing interest in Kalyan because you’ve been playing it for a long time, go to the Win History section to nourish your motivation. All your successful transactions are kept there for tracking and inspiration.
                                        Discover your Kalyan Matka results online or using the Tej app – they are consistent and up-to-date for your best gaming experience.
                                    </p>
                                    <a href={`${process.env.BASEURL}customer/login`} class="btn btn-primary">Play Now</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <Footer />
            </div>
        </>
    )
}
