import React, { useState, useEffect } from 'react'
import 'jquery/dist/jquery.min.js'
import 'bootstrap/dist/js/bootstrap.min.js'
import growth from '../../Assets/economy.png'
import play from '../../Assets/play.png'
import clock from '../../Assets/stop-watch.png'
import { NavLink, useNavigate, useLocation } from 'react-router-dom';
import helper from '../../Helper/function';
// import { Shake } from 'reshake';
const CryptoJS = require('crypto-js');
import $ from 'jquery';

function MainGames() {
    const location = useLocation();

    let navigate = useNavigate();
    let profileSessionData = sessionStorage.getItem('profileDataUser')
    const UserShowData = JSON.parse(profileSessionData);
    let sessionData = sessionStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    var mykey = reqSessionData.resKey.match(/.{1,8}/g)
    var myKey1 = helper.changeAlphaString(mykey[1], -3)
    var myKey2 = helper.changeAlphaString(mykey[3], -3)
    var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
    const userData = helper.EncrptDecryptApiData(reqSessionData.resData, original_key, 2);
    const [token, setToken] = useState(reqSessionData.unique_token)
    const [gamedata, setWalletBalance] = useState([]);
    const [BettingStatus, SetBettingStatus] = useState('');
    const cardBack = ["bg-card-side1", "bg-card-side2", "bg-card-side3", "bg-card-side4"];
    const cardLeft = ["bg_card3", "bg_card4", "bg_card5", "bg_card6"];
    var color_main = ""
    var color_side = ""
    var color_icon = " "

    const getBalanceData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-main-games-list", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setWalletBalance((JSON.parse(walletBalances)).result);
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getBalanceData();
    }, []);


    const gethomedata = async () => {
        try {
            const data = { env_type: 1, unique_token: token, registered: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const homedata = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let homedatas = await fetch(process.env.APIURL + "/get-home-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: homedata
            });
            const actualData = await homedatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const homeactualdata = helper.EncrptDecryptApiData(responseData, original_key, 2);
            if (JSON.parse(homeactualdata).maintainence_status == 1) {
                navigate(`/${process.env.USER}/maintainence`, { replace: true })
            }
            const encrypted = CryptoJS.AES.encrypt("" + JSON.parse(homeactualdata).betting_status, "testkey");
            sessionStorage.setItem("beSession1skYjglUo2363gdC", encrypted.toString())
            SetBettingStatus(JSON.parse(homeactualdata).betting_status)

        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        gethomedata();
    }, []);


    function changeGameFormate(open_result, close_result) {
        open_result = open_result.replace("*-***", "X-XXX")
        close_result = close_result.replace("*-***", "X-XXX")
        if (open_result != "" && close_result != "") {
            return open_result + close_result;
        } else if (open_result != "" && close_result == "") {
            return open_result + close_result;
        } else if (open_result == "" && close_result != "") {
            return open_result + close_result;
        } else {
            return "XXX-XX-XXX";
        }
    }


    // function Vibrate() {
    //     navigator.vibrate(400);
    // }
    const shakeonClose = (targetClass) => {
        navigator.vibrate(400);
        $("." + targetClass).closest(".shakedCard").addClass("shake");
        var delay = setTimeout(function () {
            $(".shake").removeClass("shake");
        }, 1000)
    };
    return (
        <>
            <div className="col-sm-6 m-auto responsive w-100 " style={{ flexGrow: "1", position: "relative" }}>
                <div className='container-fluid side-body-fix w-100 mb-2' style={{ position: "absolute", top: "0", left: "0", right: "0", bottom: "0", height: "auto" }}>
                    {gamedata.map((item, index) => {
                        if (item.msg_status == 0) {
                            if (color_main == cardBack[0] && color_side == cardLeft[0]) {
                                color_main = cardBack[1]
                                color_side = cardLeft[1]
                            } else if (color_main == cardBack[1] && color_side == cardLeft[1]) {
                                color_main = cardBack[2]
                                color_side = cardLeft[2]
                            } else if (color_main == cardBack[2] && color_side == cardLeft[2]) {
                                color_main = cardBack[3]
                                color_side = cardLeft[3]
                            } else {
                                color_main = cardBack[0]
                                color_side = cardLeft[0]
                            }
                            return (
                                <>
                                    {
                                        BettingStatus != 0 ?
                                            // <Shake
                                            // h={100}
                                            // v={0}
                                            // r={0}
                                            // dur={100}
                                            // int={50}
                                            // max={80}
                                            // fixed={false}
                                            // fixedStop={false}
                                            // freez={false}
                                            // q={3}
                                            // tf={'ease-in-out'}
                                            // >   
                                            <div key={index} className="shakedCard card ad-info-card  border-0 card-radius w-100 " >
                                                <div className="d-flex h-100 w-100">
                                                    <div className={`card-body ${color_main} radius-curve`}></div>
                                                    <div className={`card-body align-items-center ${color_side} w-100 radius-curve1`}>
                                                        <div className="card-body color-card-top d-flex">
                                                            <NavLink className="NavLink text-dark" to={`/${process.env.USER}/chart`} state={{ game_name: item.game_name, chat_url: item.web_chart_url }}>
                                                                <div className={`text-center col-2 game-icons ${color_main}`}><img className="icon-images h-75 w-75" src={growth} /></div>
                                                            </NavLink>
                                                            <div className="text-center col-8 game-details">
                                                                <h2 style={{ textTransform: "uppercase", fontSize: "14px" }}>{item.game_name}</h2>
                                                                <h4 style={{ fontSize: '16px', color: "#3c393", fontWeight: "600", letterSpacing: "2px" }}>
                                                                    {changeGameFormate(item.open_result, item.close_result)}
                                                                </h4>
                                                            </div>
                                                            <div className={`shakeonClose${index} text-center col-2 game-icons ${color_main}`} onClick={() => shakeonClose("shakeonClose" + index)}>
                                                                <img className="icon-images h-50 w-50" src={play} />
                                                            </div>
                                                        </div>
                                                        <div className="card-body timer-data d-flex">
                                                            <div className="col-4  card-time-watch"><img className="clock-images" src={clock} /><span className="ms-1  font-weight-bold" style={{ textTransform: "uppercase" }}>Open: {item.open_time}</span></div>
                                                            <div className="col-4  p-0"><span className="badge text-danger market-close1 bg-light" style={{ textTransform: "uppercase" }}>{item.msg}</span></div>
                                                            <div className="col-4  card-time-watch"><img className="clock-images" src={clock} /><span className="ms-1 font-weight-bold" style={{ textTransform: "uppercase" }}>Close: {item.close_time}</span></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            // </Shake>

                                            :

                                            <div key={index} className="shakedCard card ad-info-card border-0 card-radius w-100" >
                                                <div className="d-flex h-100 w-100">
                                                    <div className={`card-body ${color_main} radius-curve`}></div>
                                                    <div className={`card-body align-items-center ${color_side} w-100 radius-curve1`}>
                                                        <div className="card-body color-card-top d-flex">
                                                            <NavLink className="NavLink text-dark" to={`/${process.env.USER}/chart`} state={{ game_name: item.game_name, chat_url: item.web_chart_url }}>
                                                                <div className={`text-center col-2 game-icons ${color_main}`}><img className="icon-images h-75 w-75" src={growth} /></div>
                                                            </NavLink>
                                                            <div className="text-center col-8 game-details">
                                                                <h2 style={{ textTransform: "uppercase", fontSize: "14px" }}>{item.game_name}</h2>
                                                                <h4 style={{ fontSize: '16px', color: "#3c393", fontWeight: "600", letterSpacing: "2px" }}>
                                                                    {changeGameFormate(item.open_result, item.close_result)}
                                                                </h4>
                                                            </div>
                                                            <div className={`shakeonClose text-center col-2 game-icons ${color_main}`} >
                                                                <img className="icon-images h-50 w-50" src={play} />

                                                            </div>
                                                        </div>
                                                        <div className="card-body timer-data d-flex">
                                                            <div className="col-4  card-time-watch"><img className="clock-images" src={clock} /><span className="ms-1  font-weight-bold" style={{ textTransform: "uppercase" }}>Open: {item.open_time}</span></div>
                                                            <div className="col-4 p-0"><span className="badge text-danger market-close1 bg-light" style={{ textTransform: "uppercase" }}>{item.msg}</span></div>
                                                            <div className="col-4  card-time-watch"><img className="clock-images" src={clock} /><span className="ms-1 font-weight-bold" style={{ textTransform: "uppercase" }}>Close: {item.close_time}</span></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                    }

                                </>
                            );
                        }
                    })}


                    {gamedata.map((item, index) => {
                        if (item.msg_status == 1) {
                            if (color_main == cardBack[0] && color_side == cardLeft[0]) {
                                color_main = cardBack[1]
                                color_side = cardLeft[1]
                            } else if (color_main == cardBack[1] && color_side == cardLeft[1]) {
                                color_main = cardBack[2]
                                color_side = cardLeft[2]
                            } else if (color_main == cardBack[2] && color_side == cardLeft[2]) {
                                color_main = cardBack[3]
                                color_side = cardLeft[3]
                            } else {
                                color_main = cardBack[0]
                                color_side = cardLeft[0]
                            }
                            return (
                                <>

                                    <div key={index} className="shakedCard card ad-info-card  border-0 card-radius w-100" >
                                        <div className="d-flex h-100 w-100">
                                            <div className={`card-body ${color_main} radius-curve`}></div>
                                            <div className={`card-body align-items-center p-d-17 ${color_side} w-100 radius-curve1`}>
                                                <div className="card-body color-card-top d-flex">
                                                    <NavLink className="NavLink text-dark" to={`/${process.env.USER}/chart`} state={{ game_name: item.game_name, chat_url: item.web_chart_url }}>
                                                        <div className={`text-center col-2 game-icons ${color_main}`}><img className="icon-images h-75 w-75" src={growth} /></div>
                                                    </NavLink>
                                                    <div className="text-center col-8 game-details">
                                                        <h2 style={{ textTransform: "uppercase", fontSize: "13px" }}>{item.game_name}</h2>
                                                        <h4 style={{ fontSize: '16px', color: "#3c393", fontWeight: "600", letterSpacing: "2px" }}>
                                                            {changeGameFormate(item.open_result, item.close_result)}
                                                        </h4>
                                                    </div>
                                                    {
                                                        BettingStatus != 0 ?
                                                            <NavLink className="NavLink text-dark" to={`/${process.env.USER}/game`} state={{ game_name: item.game_name, open_time: item.open_time, close_time: item.close_time, game_id: item.game_id }}>
                                                                <div className={`text-center col-2 game-icons ${color_main}`}>
                                                                    <img className="icon-images h-50 w-50" src={play} />
                                                                </div>
                                                            </NavLink>
                                                            :
                                                            <NavLink className="NavLink text-dark" to="#" >
                                                                <div className={`text-center col-2 game-icons ${color_main}`}>
                                                                    <img className="icon-images h-50 w-50" src={play} />
                                                                </div>
                                                            </NavLink>

                                                    }
                                                </div>
                                                <div className="card-body timer-data row">
                                                    <div className="col-4  card-time-watch"><img className="clock-images" src={clock} /><span className="ms-1  font-weight-bold" style={{ textTransform: "uppercase" }}>Open: {item.open_time}</span></div>
                                                    <div className="col-4  p-0 "><span className="badge text-success market-close1 bg-light" style={{ textTransform: "uppercase" }}>{item.msg}</span></div>
                                                    <div className="col-4 card-time-watch"><img className="clock-images" src={clock} /><span className="ms-1 font-weight-bold" style={{ textTransform: "uppercase" }}>Close: {item.close_time}</span></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </>
                            );
                        }
                    })}

                </div>
            </div>
        </>
    );
}


export default MainGames;