import React from 'react'
import { useState } from "react";
import ReactDOM from 'react-dom'
import VisibilityIcon from '@mui/icons-material/Visibility';
import VisibilityOffIcon from '@mui/icons-material/VisibilityOff';
import back from '../../../Assets/back.png';
import {NavLink,useNavigate} from 'react-router-dom';

import {Helmet} from 'react-helmet';
import SignImage from '../../../Assets/sign-up-image.png';
import Logo from '../../../Assets/logo.png';
import LockIcon from '@material-ui/icons/Lock';
import classnames from 'classnames';
import ArrowForwardSharpIcon from '@material-ui/icons/ArrowForwardSharp';

import facebook from '../../../Assets/telegram-new1.png';
import linkedin from '../../../Assets/telephone-call.png';
import whatsapp from '../../../Assets/whatsapp-1.png';
import helper from '../../../Helper/function';
import Links from './Links';

 
const ChangePasswordSign = () => {
    let navigate = useNavigate();
    const [show,SetShow] = useState(false);
    const [showConfirm,SetShowConfirm] = useState(false);
    const [passwordErr,SetPasswordErr] = useState('');
    const [confirmPasswordErr,SetConfirmPasswordErr] = useState('');
    const [password,SetPassword] = useState('');
    const [confirmPassword,SetConfirmPassword] = useState('');
    const forgetUser = sessionStorage.getItem('dataForget');
    const [mobile,SetMobile] = useState((JSON.parse(forgetUser)).paytmnumber)


    const haldleChange = (e,name) => {
        const user = {};
        const emailRegEx = RegExp(
            /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
        );
        user[name]=e.target.value;
        switch(name){
            case 'password':
            SetPassword(user.password)
            user.password.trim().length < 6 ? SetPasswordErr('Password Must Be At Least 6 Characters') : SetPasswordErr('');
            confirmPassword != user.password ? SetConfirmPasswordErr('Password Did Not Matched') : SetConfirmPasswordErr('');
            break;
            case 'confirmPassword':
            SetConfirmPassword(user.confirmPassword)
            user.confirmPassword.length < 6 ? SetConfirmPasswordErr('Password Must Be At Least 6 Characters') : SetConfirmPasswordErr('');
            user.confirmPassword != password ? SetConfirmPasswordErr('Password Did Not Matched') : SetConfirmPasswordErr('');
            break;
            default:break;
        }
        const userMyData = {user,passwordErr,confirmPasswordErr};
    }
    const checkPassword = (e) => {
        SetShow(!show);
    };
    const checkPasswordConfirm = (e) => {
        SetShowConfirm(!showConfirm);
    };

    const ChangePassword = async(e) => {
        e.preventDefault()
        if(confirmPassword.length>5 && password.length>5 && confirmPassword != '' && password != '' && confirmPassword == password){
            const setNumber = JSON.parse(forgetUser).paytmnumber;
            try {
                const data = {env_type:1,mobile:setNumber,new_pass:confirmPassword}
                const encKey = helper.randomString(32);
                var mykey = encKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1],-3) 
                var myKey2 = helper.changeAlphaString(mykey[3],-3) 
                var original_key = mykey[0]+myKey1+mykey[2]+myKey2
                const reqdata = helper.EncrptDecryptApiData(data,encKey,1);
                const submitPassword = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`   ; 
                let result = await fetch(process.env.APIURL+"/forgot-password", {
                    method: 'POST',
                    headers: {
                        "Content-Type": "application/json",
                        "Accept": "application/json",
                        "Origin":process.env.BASEURL
                    },
                    body: submitPassword
                });
                const actualSubmitPassword = await result.json();
                if(actualSubmitPassword.status == true){
                    sessionStorage.clear();
                    // await sleep(3000)
                    navigate(`/${process.env.USER}/login`, { replace: true })
                }
            } catch (err) {
                console.log("Your Error is", err);
            }
        }else{
            if(password.length == 0 ){
                SetPasswordErr('Password Required')
            }
            else if(confirmPassword.length == 0){
                SetConfirmPasswordErr('Confirm Password Required')
            }
        }
    }
        

    return (
        <>
        <Helmet>
        <title>Matka</title>
        <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;"/>
        </Helmet>
        <div className="support1 container "></div>
            <section className='Login_Auth container-fluid  justify-content-center align-items-center m-auto' style={{ height: "auto", }}>
                <div className='Form m-auto col-md-3 d-block ' >
                    <div className='Form-Holder w-100 d-block'>
                        <div className='row '>
                            <div className='col-md-12 img1 d-flex justify-content-center text-align-center ' style={{ backgroundImage: `url(${SignImage})` }}>
                                <div className='ContentImage col-md-12 row text-center'>
                                    <div className='col-md-8 d-flex justify-content-center text-align-center m-auto '>
                                    <img src={Logo} alt="UserImage" className=' mb-5 logo' />
                                    </div>
                                </div>
                            </div>
                            <div className='col-md-12 '>
                                <div className="form-group h-100 ms-auto ">
                                    <form id="clerform" >
                                        <div className="iconButton">
                                            <div className='py-2 thndr1'>
                                                <h1 className='ps-3 titleText'>Reset Password</h1>
                                            </div>
                                        </div>  
                                        <div className="input-icon">
                                            <div className="mt-3 position-relative">
                                                <i className="icons"><LockIcon /></i>
                                                <i className="iconsmy" onClick={(e) => checkPassword(e)}> {show ? <VisibilityIcon className='text-right' /> : <VisibilityOffIcon className='text-right' />}</i>
                                                {/* <div class="icon_jrm" onClick={(e) => checkPassword(e)}>{show ? <VisibilityIcon className='text-right' /> : <VisibilityOffIcon className='text-right' />}</div> */}
                                                <input className={classnames("input-field m-auto form-control border remove_space border-dark",{'is-invalid':passwordErr,'is-valid': !passwordErr && password.length})} onChange={(e) => haldleChange(e,'password')}  name="password" type={show ? "text" : "password"} placeholder="PASSWORD" autoComplete='off' />
                                            </div>
                                            {passwordErr && <small className ="text-danger message">{passwordErr}</small>}
                                            <div className="mt-3 position-relative">
                                                <i className="icons"><LockIcon /></i>
                                                <i className="iconsmy" onClick={(e) => checkPasswordConfirm(e)}> {showConfirm ? <VisibilityIcon className='text-right' /> : <VisibilityOffIcon className='text-right' />}</i>
                                                <input className={classnames("input-field m-auto form-control border remove_space border-dark",{'is-invalid':confirmPasswordErr,'is-valid': !confirmPasswordErr && confirmPassword.length})} onChange={(e) => haldleChange(e,'confirmPassword')}  name="confirmPassword" type={showConfirm ? "text" : "password"} placeholder="CONFIRM PASSWORD" autoComplete='off' />
                                            </div>
                                            {confirmPasswordErr && <small className ="text-danger message">{confirmPasswordErr}</small>}
                                        </div>
  
                                        <div className='m-auto d-flex justify-content-center align-items-center text-center'>
                                                <button  type="submit" id="submit"  onClick = {(e) => ChangePassword(e)}  className="btn text-white  SubmitBtn text-center "><span>Reset &nbsp;</span> <span><ArrowForwardSharpIcon className="mb-1" /></span> </button>
                                        </div>
                                        {/* <div className=" form-check text-center pt-1 mt-1">
                                            <label className="form-check-label  text-center" ><NavLink to='#' className="" style={{ textDecoration: "none", fontSize: '10px', color:'gray', letterSpacing:"2px" }}>ALREADY HAVE AN ACCOUNT ?</NavLink></label>
                                            <label className="form-check-label ps-2 text-center " ><NavLink to='/' className="" style={{ textDecoration: "none" , color:'#191c21', fontWeight:'900', fontSize:'14px' }}><b>LOGIN</b></NavLink></label>
                                        </div> */}
										<div>
                                            <Links />
										</div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </>
    )
}
export default ChangePasswordSign;
























