import React from 'react'
import { useState, useEffect } from 'react'
import ReactDOM from 'react-dom'
import ArrowBackIcon from '@mui/icons-material/ArrowBack';
import back from '../../../Assets/back.png'
import whatsapp from '../../../Assets/whatsapp-1.png';
import gmail from '../../../Assets/gmail.png'
import phoneCall from '../../../Assets/phone-call (1).png'
import chat from '../../../Assets/chat (1).png'
import { Helmet } from 'react-helmet';
import { NavLink } from 'react-router-dom';

function Contactus() {
    let myContactData = sessionStorage.getItem('contactdata');
    const ContactShowData = JSON.parse(myContactData);
    const [telegram, setusername] = useState(ContactShowData.telegram_mobile);
    const [mobile, setusermobile] = useState(ContactShowData.mobile_number);
    const [email, setuseremail] = useState(ContactShowData.email_1);
    const [whatsapp_num, setuserwhatsapp] = useState(ContactShowData.whats_mobile);
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>
            <div class="col-sm-4 m-auto">
                <div className="container-fluid" style={{ backgroundColor: "#191c21" }}>
                    <div className="d-flex row pt-2">
                        <div className="col-1  ">
                            <NavLink to={`/${process.env.USER}/home`} className="NavLink "><img src={back} width="28px" /></NavLink>
                        </div>
                        <div className="col-11 center ">
                            <h5 className="py-1 d-flex main5 justify-content-left text-capitalize align-items-center">Contact Us</h5>
                        </div>
                    </div>
                </div>
                <div className="container-fluid">
                <a href={`https://api.whatsapp.com/send?phone=${whatsapp_num}`} target="_blank">
                    <div className="emain-color  mt-3" >
                        <div className="row">
                            <div className="col-2 mt-2 pt-1">
                                <img src={whatsapp} width="36px" />
                            </div>
                            <div className="colorschats col-10">
                                <h5>Chat On:</h5>
                                <p>{whatsapp_num}</p>
                            </div>
                        </div>
                    </div>
                </a>
                <a href={`mailto:${email}`} target="_blank">
                    <div className="emain-color  mt-3" >
                        <div className="row">
                            <div className="col-2 mt-2 pt-1">
                                <img src={gmail} width="36px" />
                            </div>
                            <div className="colorschats col-10">
                                <h5>Email Us:</h5>
                                <p>{email}</p>
                            </div>
                        </div>
                    </div>
                </a>
                <a href={`tel:${mobile}`} target="_blank">
                    <div className="emain-color  mt-3" >
                        <div className="row">
                            <div className="col-2 mt-2 pt-1">
                                <img src={phoneCall} width="36px" />
                            </div>
                            <div className="colorschats col-10">
                                <h5>Call Us:</h5>
                                <p>{mobile}</p>
                            </div>
                        </div>
                    </div>
                </a>
                <a href={`https://t.me/${telegram}`} target="_blank">
                    <div className="emain-color  mt-3" >
                        <div className="row ">
                            <div className="col-2 mt-2 pt-1">
                                <img src={chat} width="36px" />
                            </div>
                            <div className="colorschats col-10">
                                <h5>Chat Us:</h5>
                                <p>{telegram}</p>
                            </div>
                        </div>
                    </div>
                </a>
                </div>
            </div>
        </>
    )
}

export default Contactus;

if (document.getElementById('component-Contactus')) {
    ReactDOM.render(<Contactus />, document.getElementById('component-Contactus'))
}