import React from 'react'
import '../../../css/main.scss'
import 'jquery/dist/jquery.min.js'
import { useState } from 'react'
import 'bootstrap/dist/js/bootstrap.min.js'
import { NavLink } from 'react-router-dom';
import PersonIcon from '@material-ui/icons/Person';
import SignImage from '../../../Assets/sign-up-image.png';
import PhoneIphoneIcon from '@material-ui/icons/PhoneIphone';
import LockIcon from '@material-ui/icons/Lock';
import VpnKeyIcon from '@material-ui/icons/VpnKey';
import ArrowForwardSharpIcon from '@material-ui/icons/ArrowForwardSharp';
import facebook from '../../../Assets/telegram-new1.png';
import linkedin from '../../../Assets/telephone-call.png';
import whatsapp from '../../../Assets/whatsapp-1.png';
import { Helmet } from 'react-helmet';
import helper from '../../../Helper/function';
import Logo from '../../../Assets/logo.png';
import classnames from 'classnames';
import { useNavigate } from 'react-router-dom';
import '../../../css/style.scss';
import $ from 'jquery';
import Links from './Links.js';
import { ToastContainer, toast } from 'react-toastify';
import 'react-toastify/dist/ReactToastify.css';



const Forget = () => {
    var timeleft = 0;
    for (var i = 1; i < 30; i++)
        window.clearInterval(i);
    sessionStorage.removeItem("dataForget")
    const Navigate = useNavigate();

    const [number, Setnumber] = useState('');
    const [paytmnumber, Setpaytmnumber] = useState('');
    const [numberErr, SetnumberErr] = useState('');
    const [mobile, SetMobile] = useState('');
    const [password, Setpassword] = useState('');
    const [mobileErr, SetMobileErr] = useState('');
    const [passwordErr, SetpasswordErr] = useState('');


    const haldleChange = (e, name) => {
        const user = {};
        user[name] = e.target.value;
        switch (name) {
            case 'mobile':
                Setpaytmnumber(user.mobile)
                if (user.mobile.length < 10 )  
                    {SetMobileErr('Number Should be 10 Digits ')} 
                else { SetMobileErr('')};
                break;
            default: break;
        }
    }


    const forget = async (e) => {
        e.preventDefault();
        if (paytmnumber != '' && paytmnumber.length == 10) {
            try {
                const data = {
                    env_type: 1,
                    check: 0,
                    mobile: paytmnumber,
                }
                const encKey = helper.randomString(32);
                var mykey = encKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

                const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
                const UserData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
                let result = await fetch(process.env.APIURL+"/forget-check-mobile", {
                    method: 'POST',
                    headers: {
                        "Content-Type": "application/json",
                        "Accept": "application/json",
                        "Origin": process.env.BASEURL
                    },
                    body: UserData
                });
                const actualData = await result.json();
                if (actualData.status == true) {
                    const dataForget = {paytmnumber}
                    sessionStorage.setItem('dataForget', JSON.stringify(dataForget));
                    helper.downloadTimer();
                    toast(actualData.message);
                    Navigate(`/${process.env.USER}/otpforget`, { replace: true });
                }
                else {
                    toast(actualData.message)
                    navigator.vibrate(400);

                }
            } catch (err) {
                console.log("Your Error is", err);
            }
        }
        else {
            if (mobile == '') {
                SetMobileErr('Mobile Number Required')
                navigator.vibrate(400)
            }
        }
    }




    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>
            <div className="support1 container "></div>
            <section className='Login_Auth container-fluid justify-content-center align-items-center m-auto' style={{ height: "auto", }}>
                <div className='Form m-auto col-md-3 d-block ' >
                    <div className='Form-Holder w-100 d-block'>
                        <div className='row '>
                            <div className='col-md-12 img1  d-flex justify-content-center text-align-center' style={{ backgroundImage: `url(${SignImage})` }}>

                                <div className='ContentImage col-md-12 row text-center'>
                                    <div className='col-md-8 d-flex justify-content-center text-align-center m-auto '>
                                        <img src={Logo} alt="UserImage" className='mb-5 logo' width="100%" />
                                    </div>
                                </div>

                            </div>
                            <div className='col-md-12 '>
                                <div className="form-group h-100 ms-auto ">
                                    <form>
                                        <div className="iconButton">
                                            <div className='py-2 thndr1'>
                                                <h1 className='ps-3 titleText'>FORGOT PASSWORD ?</h1>
                                            </div>
                                        </div>
                                        <div className="input-icon">

                                            <div className="mt-3">
                                                <i className="icons"><PhoneIphoneIcon /></i>
                                                <input className={classnames("input-field m-auto form-control mobile-valid border border-dark", { 'is-invalid': mobileErr, 'is-valid': !mobileErr && paytmnumber.length > 0 })} onChange={(e) => haldleChange(e, 'mobile')} name="mobile" type="number" placeholder="MOBILE NUMBER" autoComplete='off' />
                                            </div>
                                            {mobileErr && <small className="text-danger message">{mobileErr}</small>}



                                        </div>
                                        <div className='m-auto d-flex justify-content-center align-items-center text-center mt-3'>
                                            <NavLink className="NavLink" to={`/${process.env.USER}/otpforget`}><button type="submit" className="btn text-white  SubmitBtn text-center " onClick={forget}><span>VERIFY &nbsp;</span> <span><ArrowForwardSharpIcon className="mb-1" /></span> </button></NavLink>
                                        </div>
                                        <ToastContainer
                                                position="bottom-center"
                                                autoClose={3000}
                                                hideProgressBar={false}
                                                newestOnTop={false}
                                                closeOnClick
                                                rtl={false}
                                                pauseOnFocusLoss
                                                draggable = {true}
                                                limit = {1} 
                                                pauseOnHover
                                                theme = "dark"
                                                draggablePercent = {60} 
                                                
                                            />
                                        <Links />
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </>
    )
}


export default Forget;