import React, { useState, useEffect } from 'react'
import { NavLink,useLocation } from 'react-router-dom';
import backArrow from '../../../Assets/back.png'
import { Helmet } from 'react-helmet';
import 'jquery/dist/jquery.min.js'
import 'bootstrap/dist/js/bootstrap.min.js'
import growth from '../../../Assets/economy.png'
import play from '../../../Assets/play.png'
import clock from '../../../Assets/stop-watch.png'
import helper from '../../../Helper/function';
// import { Shake } from 'reshake';
import $ from 'jquery';

function Starline() {
    const location = useLocation();
    let profileSessionData = sessionStorage.getItem('profileDataUser')
    const UserShowData = JSON.parse(profileSessionData);
    let sessionData = sessionStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [token, setToken] = useState(reqSessionData.unique_token)
    const [gamedata, setWalletBalance] = useState([]);
    const [singleDigit, setSingleDigit1] = useState([]);
    const [webchart, setWebChart] = useState('');
    const cardBack = ["bg-card-side1", "bg-card-side2", "bg-card-side3", "bg-card-side4"];
    const cardLeft = ["bg_card3", "bg_card4", "bg_card5", "bg_card6"];
    var color_main = ""
    var color_side = ""
    const getBalanceData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);

            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-starline-games-list", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });

            const actualData = await walletBalanceDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setWebChart((JSON.parse(walletBalances)).web_chart_url);
            setWalletBalance((JSON.parse(walletBalances)).result);
            setSingleDigit1((JSON.parse(walletBalances)).gamesRates);
        } catch (err) {
            console.log("Your Error is", err);
        }
    }

    useEffect(() => {
        getBalanceData();
    }, []);

    function changeGameFormateStarline(open) {
        open = open.replace("***_*" , "XXX-X")
        if (open != "") {
            return open;
        } else {
            return "XXX-X"
        }
    }
    function Vibrate() {
        navigator.vibrate(400);
    }
    $(".shakeonClose").on("click", function() {
        $(this).closest(".shakedCard").addClass("shake");
        var delay = setTimeout(function(){
        $(".shake").removeClass("shake");
    }, 1000)
    });
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>


            <div className="col-sm-4 m-auto">

                <div className='container-starline'>
                    <div className='resposive'>
                        <div className='container-child-upper'>
                            <div className='header m-auto'>
                                <NavLink exact to={`/${process.env.USER}/home`} className='back-arrow'>
                                    <img src={backArrow} alt="back-arrow" class=" w-50" />
                                </NavLink>
                                <div className='header-text me-auto'>
                                    Starline
                                </div>
                                <div className="">
                                    <NavLink className="NavLink text-dark" to={`/${process.env.USER}/starlinechart`} state={{web_chart_url:webchart}}>
                                        <div className='profile-icon1 d-flex'>
                                            <div className="logo-image1">
                                                <img className="icon-images h-100 w-75" src={growth} />
                                            </div>
                                            <div className="text text-light me-3 pt-1">CHART</div>
                                        </div>
                                    </NavLink>
                                </div>
                            </div>
                        </div>
                        <div className='container-child-bottom'>
                            <div className='main-parent'>
                                <div className='main-child' style={{marginTop:"10px"}}>
                                    <div className='content-body'>
                                        <div className='content-main-body'>
                                            <div className='content-child'>
                                                <div class="container-fluid d-flex text-center align-items-center justify-content-center p-2" style={{ borderBottom: "1px solid lightgray" }}>
                                                    <h6 className="m-auto" style={{ fontWeight: "bold", letterSpacing: "2px", color: "gray" }}>STARLINE GAME RATES</h6>
                                                </div>
                                                <div class="container-fluid  text-center align-items-center justify-content-center  W-100">
                                                    <div className='row col-lg-12 W-100 m-auto ' style={{ width: "100%" }}>
                                                        <div className='col-6  w-50 p-2 ' style={{ textAlign: 'left', alignItems: 'flex-end' }}>
                                                            <p>SINGLE DIGIT</p>
                                                            <p>SINGLE PANNA</p>
                                                            <p>DOUBLE PANNA</p>
                                                            <p>TRIPLE PANNA</p>
                                                        </div>
                                                        <div className='col-6  w-50 p-2 ' style={{ textAlign: 'right', alignItems: 'flex-end' }}>
                                                            <p>{singleDigit.single_digit_1} - {singleDigit.single_digit_2}</p>
                                                            <p>{singleDigit.single_pana_1} - {singleDigit.single_pana_2}</p>
                                                            <p>{singleDigit.double_pana_1} - {singleDigit.double_pana_2}</p>
                                                            <p>{singleDigit.tripple_pana_1} - {singleDigit.tripple_pana_2}</p>
                                                        </div>
                                                    </div>
                                                    <div className='container-fluid  m-auto'>
                                                        <div className='row col-lg-12 W-100  m-auto' style={{ width: "100%" }}>
                                                            <div className='col-6 p-2' style={{ textAlign: 'center', alignItems: 'flex-end' }}>
                                                                <NavLink className="NavLink" to={`/${process.env.USER}/starlinebid`}><button class="btn w-100" style={{ borderRadius: "10px", backgroundColor: "black", color: "white", fontSize: "13px" }}>Bid History</button></NavLink>
                                                            </div>
                                                            <div className='col-6   p-2' style={{ textAlign: 'center', alignItems: 'flex-end' }}>
                                                                <NavLink className="NavLink" to={`/${process.env.USER}/starlinewin`}><button class="btn w-100" style={{ borderRadius: "10px", backgroundColor: "black", color: "white", fontSize: "13px" }}>Win History</button></NavLink>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                                <div className='main-child mt-4'>
                                    <div className="col-sm-6 w-100 m-auto" style={{height:"45vh"}}>
                                        <div className='container-fluid overflow-auto side-body-fix w-100 h-100 mb-2 mt-2' >
                                            {gamedata.map((item, index) => {
                                                if (item.msg_status == 0) {
                                                    if (color_main == cardBack[0] && color_side == cardLeft[0]) {
                                                        color_main = cardBack[1]
                                                        color_side = cardLeft[1]
                                                    } else if (color_main == cardBack[1] && color_side == cardLeft[1]) {
                                                        color_main = cardBack[2]
                                                        color_side = cardLeft[2]
                                                    } else if (color_main == cardBack[2] && color_side == cardLeft[2]) {
                                                        color_main = cardBack[3]
                                                        color_side = cardLeft[3]
                                                    } else {
                                                        color_main = cardBack[0]
                                                        color_side = cardLeft[0]
                                                    }
                                                    return (
                                                        <>
                                                                <div key={index} className="shakedCard card ad-info-card mt-2 border-0 card-radius mt-1 mb-1">
                                                                    <div className="d-flex h-100">
                                                                        <div className={`card-body ${color_main} radius-curve`}></div>
                                                                        <div className={`card-body align-items-center p-d-17 ${color_side} w-100`} style={{borderRadius:"0px 15px 15px 0px"}} >
                                                                            <div className="card-body color-card-top d-flex">
                                                                               <div className="text-center col-4 game-details">
                                                                                    <h3>{item.game_name}</h3>
                                                                                    <h6 style={{ fontSize: '15px', color: "#3c393",fontWeight:"600", letterSpacing: "2px" }}>{changeGameFormateStarline(item.open_result)}</h6>
                                                                                </div>
                                                                                <div className="col-4 m-auto text-center align-items-top d-flex pb-5"><span className="badge text-danger market-close2 bg-light">{item.msg}</span></div>
                                                                                <div className={`text-center shakeonClose col-4 game-icons ${color_main}`} style={{transition: "all 0.5s linear"}} onClick={Vibrate}>
                                                                                    <img className="icon-images h-50 w-50" src={play} />
                                                                                </div>
                                                                            </div>

                                                                        </div>

                                                                    </div>
                                                                </div>
                                                        </>
                                                    );
                                                }
                                            })}
                                            {gamedata.map((item, index) => {
                                                if (item.msg_status == 1) {
                                                    if (color_main == cardBack[0] && color_side == cardLeft[0]) {
                                                        color_main = cardBack[1]
                                                        color_side = cardLeft[1]
                                                    } else if (color_main == cardBack[1] && color_side == cardLeft[1]) {
                                                        color_main = cardBack[2]
                                                        color_side = cardLeft[2]
                                                    } else if (color_main == cardBack[2] && color_side == cardLeft[2]) {
                                                        color_main = cardBack[3]
                                                        color_side = cardLeft[3]
                                                    } else {
                                                        color_main = cardBack[0]
                                                        color_side = cardLeft[0]
                                                    }
                                                    return (
                                                        <>
                                                          
                                                            <div key={index} className="card ad-info-card mt-2 border-0 card-radius mt-1 mb-1">
                                                                <div className="d-flex h-100">
                                                                    <div className={`card-body ${color_main} radius-curve`}></div>
                                                                    <div className={`card-body align-items-center p-d-17 ${color_side} w-100 `} style={{borderRadius:"0px 15px 15px 0px"}} >
                                                                        <div className="card-body color-card-top d-flex">                                                                            
                                                                            <div className="text-center col-4 game-details">
                                                                                <h3>{item.game_name}</h3>
                                                                                <h6 style={{  fontSize: '15px', color: "#3c393",fontWeight:"600", letterSpacing: "2px" }}>{changeGameFormateStarline(item.open_result)}</h6>
                                                                            </div>
                                                                            <div className="col-4 m-auto text-center align-items-top d-flex pb-5"><span className="badge text-success market-close2 bg-light">{item.msg}</span></div>
                                                                            <NavLink className="NavLink text-dark ms-auto" to={`/${process.env.USER}/starlinegame`} state={{game_name:item.game_name , game_id:item.game_id}}>
                                                                                <div className={`text-center col-4  game-icons ${color_main}`}>
                                                                                    <img className="icon-images h-50 w-50" src={play} />
                                                                                </div>
                                                                            </NavLink>
                                                                        </div>

                                                                    </div>

                                                                </div>
                                                            </div>
                                                        </>
                                                    );
                                                }
                                            })}
                                        </div>

                                    </div>

                                </div>

                            </div>

                        </div>

                    </div>
                </div>
            </div>
        </>
    )
}

export default Starline;