import React from 'react'
import ReactDOM from 'react-dom'
import AccountCircleIcon from '@mui/icons-material/AccountCircle';
import PersonIcon from '@mui/icons-material/Person';
import MailIcon from '@mui/icons-material/Mail';
import ModeEditOutlineIcon from '@mui/icons-material/ModeEditOutline';
import ArrowBackIcon from '../../../Assets/back.png';
// import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import '../../../css/style.scss';
import { useState, useEffect } from 'react'
import Logo from '../../../Assets/logo.png';
import { Helmet } from 'react-helmet';
import { NavLink } from 'react-router-dom';
import helper from '../../../Helper/function';
import $ from 'jquery';
import classnames from 'classnames';
import { ToastContainer, toast } from 'react-toastify';

const UserProfile = () => {
  let profileSessionData = sessionStorage.getItem('profileDataUser')
  const UserShowData = JSON.parse(profileSessionData);
  let sessionData = sessionStorage.getItem('userProfileData');
  const reqSessionData = JSON.parse(sessionData);
  const [token, setToken] = useState(reqSessionData.unique_token)

  // const [username, setusername] = useState(UserShowData.username);
  const [UserName, SetUserName] = useState('');
  const [Mobile, SetUserMobile] = useState('');

  
  const [userErr, setUserErr] = useState('');
  const [emailErr, setEmailErr] = useState('');
  // const [mobile, setusermobile] = useState(UserShowData.mobile);
  const [Email, SetUserEmail] = useState('');

  const icon = <PersonIcon />
  const icons = <span ><ArrowBackIcon />text2</span>
  const [userData, setData] = useState('')
  const editUser = async (e) => {
    $(".buttonUser").css("display", "block");
    $(".editbutton").css("display", "none");
    $('#person').prop("disabled", false);
    $('#personEmail').prop("disabled", false);
  }
  const updateProfile = async () => {
    const emailRegEx = RegExp(
      /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
    );
    if ((UserName.trim().length != 0) && (Email.trim().length == 0 || emailRegEx.test(Email))) {
      try {
        const data = { env_type: 1, unique_token: token, user_name: UserName, email: Email }
        const encKey = helper.randomString(32);
        var mykey = encKey.match(/.{1,8}/g)
        var myKey1 = helper.changeAlphaString(mykey[1], -3)
        var myKey2 = helper.changeAlphaString(mykey[3], -3)
        var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

        const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
        const userProfileDataUpdate = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
        let userDatasUpdate = await fetch(process.env.APIURL + "/user-profile-update", {
          method: 'POST',
          headers: {
            "Content-Type": "application/json",
            "Accept": "application/json",
            "Origin": process.env.BASEURL
          },
          body: userProfileDataUpdate
        });
        const actualData = await userDatasUpdate.json();
        if (actualData.status == true) {
          $(".editbutton").css("display", "block");
          $(".buttonUser").css("display", "none");
          $('#person').prop("disabled", true);
          $('#personEmail').prop("disabled", true);
          const myDataProfile = { UserName, Email }
          sessionStorage.setItem('profileDataUser', JSON.stringify(myDataProfile));
          toast(actualData.message)
        }

      } catch (err) {
        console.log("Your Error is", err);
      }
    } else {
      if (username.trim().length == 0) {
        SetUserNameErr('username required');
      }
      else if (email.trim().length == 0) {
        SetUserNameErr('username required');
      }
    }
  }

  const gethomedata = async () => {
    try {
        const data = { env_type: 1, unique_token: token, registered:1 }
        const encKey = helper.randomString(32);
        var mykey = encKey.match(/.{1,8}/g)
        var myKey1 = helper.changeAlphaString(mykey[1], -3)
        var myKey2 = helper.changeAlphaString(mykey[3], -3)
        var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

        const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
        const homedata = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
        let homedatas = await fetch(process.env.APIURL + "/get-user-profile", {
            method: 'POST',
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json",
                "Origin": process.env.BASEURL
            },
            body: homedata
        });
        const actualData = await homedatas.json();
        const responseData = actualData.resData;
        const responseKey = actualData.resKey;
        var mykey = responseKey.match(/.{1,8}/g)
        var myKey1 = helper.changeAlphaString(mykey[1], -3)
        var myKey2 = helper.changeAlphaString(mykey[3], -3)
        var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
        const homeactualdata = helper.EncrptDecryptApiData(responseData, original_key, 2);
        SetUserName((JSON.parse(homeactualdata).username));
        SetUserMobile((JSON.parse(homeactualdata).mobile));
        SetUserEmail((JSON.parse(homeactualdata).email));

    } catch (err) {
        console.log("Your Error is", err);
    }
}
useEffect(() => {
    gethomedata();
}, []);


  const handleChange = (e, name) => {
    const data = {};
    const emailRegEx = RegExp(
      /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
    );
    data[name] = e.target.value;
    switch (name) {
      case 'email':
        SetUserEmail(data.email)
        !emailRegEx.test(data.email) ? setEmailErr("Please Enter Email Id") : setEmailErr('');
        break;
      case 'username':
        SetUserName (data.username)
        data.username.trim().length < 3 ? setUserErr('Please Enter Username') : setUserErr('');
        break;
      default: break;
    }
  }
  // getProfileData();
  return (
    <>
      <Helmet>
        <title>Matka</title>
        <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
      </Helmet>
      <div class="col-sm-4 m-auto">
        <div className="userProfile bg-none ">
          <div className="display row">
            <div className="arrow col-1">
              <NavLink to={`/${process.env.USER}/home`} className="NavLink"><span ><img src={ArrowBackIcon} width="30px" class="mb-1" alt="backIcon" /></span></NavLink>

            </div>
            <div className=" col-11 ">
              <h5 class=" py-1">User Profile </h5>
            </div>
          </div>
          <div className="centerm">
            {/* <h3 className="am">User Profile </h3>  */}
            <div className="">
              <p className="iconmp"><AccountCircleIcon /></p>
              <span className="icons-color py-1 editbutton target-button" onClick={(e) => editUser(e)}><ModeEditOutlineIcon /></span>
              <p className="number">{Mobile}</p>
            </div>
          </div>
        </div>

        <div className="top container ">
          <form id="userProfile" className="text-start">
            <div className="wrapper" >
              <div className="icon-img"><PersonIcon /></div>
              <input className={classnames("form-control radius user border border-dark ", { 'is-invalid': userErr, 'is-valid': !userErr && UserName.length })} value={UserName} placeholder="USERNAME" onChange={(e) => handleChange(e, 'username')}
                id="person" name="username" type="text" autoComplete="off" disabled />
            </div>
            {userErr && <small className="text-danger message">{userErr}</small>}
            <div className="wrapper " >
              <div className="icon-img2"><MailIcon /></div>
              {/* <input type="text" className="padding pl-5 form-control user  border border-dark radius"/> */}
              <input className={classnames("padding pl-5 form-control user  border border-dark radius ", { 'is-invalid': (emailErr && Email.length > 0), 'is-valid': !emailErr && Email.length })} id="personEmail" onChange={(e) => handleChange(e, 'email')} value={Email} name="email" type="text" autoComplete="off" placeholder="EMAIL" disabled />
            </div>
            {(emailErr && Email.length > 1) && <small className="text-danger message">{emailErr}</small>}
            <button type="button" onClick={(e) => updateProfile(e)} className="btn btn btn-sm buttonUser target-button">SUBMIT</button>
            {/* <div id="snackbarprofilemessage"></div> */}
           
          </form>
        </div>

      </div>
      <ToastContainer
              position="bottom-center"
              autoClose={3000}
              hideProgressBar={false}
              newestOnTop={false}
              closeOnClick
              rtl={false}
              pauseOnFocusLoss
              draggable = {true}
              limit = {1} 
              pauseOnHover
              theme = "dark"
              draggablePercent = {60}
              />
    </>
  );
}

export default UserProfile;

if (document.getElementById('component-userProfile')) {
  ReactDOM.render(<UserProfile />, document.getElementById('component-userProfile'))
}
