var path = require('path');
// const MiniCssExtractPlugin = require('mini-css-extract-plugin');
const ModuleBuildTimeCalWebpackPlugin = require('build-time-analysis-webpack-plugin');
const webpack = require('webpack');
const JscramblerWebpack = require('jscrambler-webpack-plugin');
const Dotenv = require('dotenv-webpack');
module.exports = {
  watch: true,
  mode: "production",
  entry: './resources/js/app.js',
  output: {
    // publicPath: '', 
    path: path.resolve(__dirname, 'public/dist/'),
    filename: 'app.js'
  },
  // devtool: "source-map",
  devServer: {
    contentBase: path.join(__dirname, 'public/dist/'),
    compress: true,
    port: 3000,
    hot: true,
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        use: {
          loader: 'babel-loader',
          options: {
            presets: ['@babel/preset-react']
          }
        }
      },
      {
        test: /\.css$/,
        exclude: /node_modules\/(?!(react-toastify\/dist)\/).*/,
        use: ['style-loader', 'css-loader', 'sass-loader']
      },
      // {
      //   test:/\.css$/,
      //   exclude:/node_modules\/(?!(bootstrap-scss\/)\/).*/,
      //   use:['style-loader' , 'css-loader' , 'sass-loader']
      // },
      {
        test: /\.css$/,
        exclude: /node_modules\/(?!(react-datepicker\/dist)\/).*/,
        use: ['style-loader', 'css-loader', 'sass-loader']
      },
      {
        test: /\.css$/,
        exclude: /node_modules\/(?!(slick-carousel\/slick)\/).*/,
        use: ['style-loader', 'css-loader', 'sass-loader']
      },
      {
        test: /\.s[ac]ss$/,
        exclude: /node_modules/,
        use: ['style-loader', 'css-loader', 'sass-loader']
      },
      {
        test: /\.(jpg|png|jpeg)$/,
        exclude: /node_modules/,
        use: ['file-loader']
      },
      {
        test: /\.(html)/,
        use: ['html-loader']
      }
    ]
  },
  resolve: {
    extensions: ['.ts', '.js'],
    fallback: {
      "stream": require.resolve("stream-browserify"),
      "buffer": require.resolve("buffer")
    }
  },
  plugins: [
    //   new ModuleBuildTimeCalWebpackPlugin({
    //    filename: 'modules.json',
    //    includeNodeModules: false,
    //    callback: () => {},
    //  }),
    new webpack.ProvidePlugin({
      Buffer: ['buffer', 'Buffer'],
    }),
    new webpack.ProvidePlugin({
      process: 'process/browser',
    }),
    new webpack.HotModuleReplacementPlugin(),
    new Dotenv(),
  ],

}